Subject: [bug#27898] [PATCH 2/2] gnu: Put autoconf-related phases immediately after the 'unpack phase.

From: Marius Bakke <[email-masked]>
Date: Sun, 27 Aug 2017 12:48:22 +0200

Kei Kebreau <[email-masked]> writes:

> * gnu/packages/audio.scm (audacity, rtmidi)[arguments]: Correct phases
> accordingly.
> * gnu/packages/bioinformatics.scm (mash, seek, vsearch, emboss,
> htslib-for-sambamba)[arguments]: Likewise.
> * gnu/packages/ci.scm (cuirass)[arguments]: Likewise.
> * gnu/packages/compression.scm (minizip, xdelta)[arguments]: Likewise.
> * gnu/packages/cpp.scm (libzen)[arguments]: Likewise.
> * gnu/packages/crypto.scm (opendht)[arguments]: Likewise.
> * gnu/packages/databases.scm (4store, mdbtools)[arguments]: Likewise.
> * gnu/packages/debug.scm (stress-make)[arguments]: Likewise.
> * gnu/packages/dns.scm (dnscrypt-proxy, dnscrypt-wrapper)[arguments]:
> Likewise.
> * gnu/packages/emacs.scm (emacs-pdf-tools)[arguments]: Likewise.
> * gnu/packages/embedded.scm (libjaylink, openocd)[arguments]: Likewise.
> * gnu/packages/engineering.scm (gerbv)[arguments]: Likewise.
> * gnu/packages/erlang.scm (erlang)[arguments]: Likewise.
> * gnu/packages/ftp.scm (weex)[arguments]: Likewise.
> * gnu/packages/gnome.scm (dia)[arguments]: Likewise.
> * gnu/packages/gnunet.scm (gnurl, guile-gnunet)[arguments]: Likewise.
> * gnu/packages/gtk.scm (guile-rsvg, graphene)[arguments]: Likewise.
> * gnu/packages/guile.scm (guildhall, guile-ics, guile-sqlite3)[arguments]:
> Likewise.
> * gnu/packages/ibus.scm (ibus-libpinyin)[arguments]: Likewise.
> * gnu/packages/irc.scm (weechat)[arguments]: Likewise.
> * gnu/packages/java.scm (classpath-devel)[arguments]: Likewise.
> * gnu/packages/libreoffice.scm (libetonyek)[arguments]: Likewise.
> * gnu/packages/libusb.scm (hidapi)[arguments]: Likewise.
> * gnu/packages/linux.scm (gpm)[arguments]: Likewise.
> * gnu/packages/logging.scm (glog)[arguments]: Likewise.
> * gnu/packages/machine-learning.scm (ghmm)[arguments]: Likewise.
> * gnu/packages/mail.scm (dovecot-trees, dovecot-libsodium-plugin, esmtp)
> [arguments]: Likewise.
> * gnu/packages/maths.scm (wxmaxima)[arguments]: Likewise.
> * gnu/packages/messaging.scm (freetalk, libmesode, libstrophe)[arguments]:
> Likewise.
> * gnu/packages/microcom.scm (microcom)[arguments]: Likewise.
> * gnu/packages/ocaml.scm (ocaml-ssl)[arguments]: Likewise.
> * gnu/packages/parallel.scm (slurm)[arguments]: Likewise.
> * gnu/packages/pdf.scm (libharu)[arguments]: Likewise.
> * gnu/packages/samba.scm (cifs-utils)[arguments]: Likewise.
> * gnu/packages/serialization.scm (msgpack)[arguments]: Likewise.
> * gnu/packages/shells.scm (scsh)[arguments]: Likewise.
> * gnu/packages/telephony.scm (libiax2)[arguments]: Likewise.
> * gnu/packages/textutils.scm (dotconf)[arguments]: Likewise.
> * gnu/packages/version-control.scm (findnewest)[arguments]: Likewise.
> * gnu/packages/video.scm (vlc, libmediainfo, mediainfo)[arguments]: Likewise.

Same with this.  Looks okay for 'master', but please double check before
pushing.  TIA!